View Issue Details

IDProjectCategoryView StatusLast Update
0001571SOGoWeb Calendarpublic2012-09-19 11:48
Reportermathis Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.11 
Target Version2.0.0Fixed in Version2.0.0 
Summary0001571: events with start time = end time are not shown
Description

All events which have the same time (hour and minute) in start time and end time (so that the duration is 0 minutes) are never shown in calendar view. I tried day, week and month view - no event whatsoever. Only the list above the calendar view shows such events, but you have to be lucky to notice it...

TagsNo tags attached.

Relationships

related to 0001329 closed The web calendar doesn't show correctly the all day events 

Activities

Christian Mack

Christian Mack

2012-01-09 03:29

developer   ~0003260

Are these events "All day Event"s?

mathis

mathis

2012-01-09 03:37

reporter   ~0003261

Last edited: 2012-01-09 03:40

No, just events at a specific time with 0 minutes duration and a notification. I should have written that time AND date of that event are the same for start and end.

Christian Mack

Christian Mack

2012-01-09 04:35

developer   ~0003264

Are events with duration 0 valid at all?

And how should they be displayed in duration based views, as they have no duration?

Perhaps it would be easier to generate an error like when trying to specify end time before start time?

mathis

mathis

2012-01-09 04:57

reporter   ~0003265

Last edited: 2012-01-09 04:58

Events with duration 0 are valid, at least for the CalDAV spec and for the default android calendar. At the moment, they are also valid in SOGo, and I think they should stay valid. Of course it would be easier to prohibit such events, but please re-read the original post: I only said that the view should also show such events. The internal handling of zero-duration-events is all fine in SOGo right now.

Regarding how SOGo could show such events, I would like to cite a very popular program: Outlook. If an event in Outlook has a duration of 0 minutes, it is shown as a very tiny row at the left side (to symbolize the duration) and then the row continues with normal line height (where the title of the event is written).

In ASCII art:

o-------------------------------o
o-----o
Title of the event
     o------------------------o
ludovic

ludovic

2012-06-18 15:33

administrator   ~0004073

Right now, Lightning displays such events like a 5 minutes one. That sounds perfect to me and that's what we should likely do.

ludovic

ludovic

2012-09-19 11:48

administrator   ~0004494

Fixed with:

https://github.com/inverse-inc/sogo/commit/dbb9bac38c72a71b60a54b505f546aa961d9cd41

and:

https://github.com/inverse-inc/sogo/commit/7154588b24ae5179f4f6cc5c2d01d223700e6441

Issue History

Date Modified Username Field Change
2012-01-05 14:45 mathis New Issue
2012-01-09 03:29 Christian Mack Note Added: 0003260
2012-01-09 03:37 mathis Note Added: 0003261
2012-01-09 03:40 mathis Note Edited: 0003261
2012-01-09 04:35 Christian Mack Note Added: 0003264
2012-01-09 04:57 mathis Note Added: 0003265
2012-01-09 04:58 mathis Note Edited: 0003265
2012-01-09 04:58 mathis Note Edited: 0003265
2012-05-22 14:56 ludovic Target Version => 1.3.16
2012-05-29 16:00 ludovic Target Version 1.3.16 => 1.3.17
2012-06-18 15:33 ludovic Note Added: 0004073
2012-07-16 08:45 ludovic Target Version 1.3.17 => 1.3.18
2012-07-23 13:00 ludovic Relationship added related to 0001329
2012-08-27 11:58 francis Target Version 1.3.18 => 2.0.0
2012-09-19 10:35 ludovic Status new => assigned
2012-09-19 10:35 ludovic Assigned To => ludovic
2012-09-19 11:48 ludovic Note Added: 0004494
2012-09-19 11:48 ludovic Status assigned => closed
2012-09-19 11:48 ludovic Resolution open => fixed
2012-09-19 11:48 ludovic Fixed in Version => 2.0.0